Index: LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc.F	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc.F	(revision 2641)
@@ -0,0 +1,149 @@
+      SUBROUTINE condsurfc(jour,lmt_bcff,lmt_bcbb,
+     .                     lmt_bcbbl,lmt_bcbbh,lmt_bc_penner,
+     .                     lmt_omff,lmt_ombb,lmt_ombbl,lmt_ombbh,
+     .                     lmt_omnat)
+      USE dimphy
+      IMPLICIT none
+!
+! Lire les conditions aux limites du modele pour la chimie.
+! --------------------------------------------------------
+!
+#include "dimensions.h"
+#include "netcdf.inc"
+      REAL lmt_bcff(klon), lmt_bcbb(klon),lmt_bc_penner(klon)
+      REAL lmt_omff(klon), lmt_ombb(klon)
+      REAL lmt_bcbbl(klon), lmt_bcbbh(klon)
+      REAL lmt_ombbl(klon), lmt_ombbh(klon)
+      REAL lmt_omnat(klon)
+      REAL lmt_terp(klon)
+!
+      INTEGER jour, i
+      INTEGER ierr
+      INTEGER nid1,nvarid
+      INTEGER debut(2),epais(2)
+!
+      IF (jour.LT.0 .OR. jour.GT.(360-1)) THEN
+         IF (jour.GT.(360-1).AND.jour.LE.367) THEN
+           jour=360-1
+           print *,'JE: jour changed to jour= ',jour
+         ELSE
+           PRINT*,'Le jour demande n est pas correcte:', jour
+           CALL ABORT
+         ENDIF
+      ENDIF
+!
+      ierr = NF_OPEN ("limitcarbon.nc", NF_NOWRITE, nid1)
+      if (ierr.ne.NF_NOERR) then
+        write(6,*)' Pb d''ouverture du fichier limitbc.nc'
+        write(6,*)' ierr = ', ierr
+        call exit(1)
+      endif
+!
+! Tranche a lire:
+      debut(1) = 1
+      debut(2) = jour+1
+      epais(1) = klon
+      epais(2) = 1
+!
+!
+      ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcff)
+!      print *,'IERR = ',ierr
+!      print *,'NF_NOERR = ',NF_NOERR
+!      print *,'debut = ',debut
+!      print *,'epais = ',epais
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcff)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC'
+         CALL exit(1)
+      ENDIF
+!
+!
+      ierr = NF_INQ_VARID (nid1, "BCBB", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbb)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbb)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC-biomass'
+         CALL exit(1)
+      ENDIF
+!
+!
+      ierr = NF_INQ_VARID (nid1, "BCBL", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbbl)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbbl)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC low'
+         CALL exit(1)
+      ENDIF
+!
+!
+      ierr = NF_INQ_VARID (nid1, "BCBH", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbbh)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbbh)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC high'
+         CALL exit(1)
+      ENDIF
+!
+      ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_terp)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_terp)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources Terpene'
+         CALL exit(1)
+      ENDIF
+!
+!
+      ierr = NF_INQ_VARID (nid1, "BC_penner", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, 
+     .       epais, lmt_bc_penner)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, 
+!nhl      .       lmt_bc_penner)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC Penner'
+         CALL exit(1)
+      ENDIF
+!
+!
+      ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
+!nhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_omff)
+!nhl #else
+!nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_omff)
+!nhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources om-ifossil'
+         CALL exit(1)
+      ENDIF
+!
+      DO i=1,klon
+        lmt_ombb(i)  = lmt_bcbb(i)*7.0*1.6      !OC/BC=7.0;OM/OC=1.6
+        lmt_ombbl(i) = lmt_bcbbl(i)*7.0*1.6
+        lmt_ombbh(i) = lmt_bcbbh(i)*7.0*1.6
+        lmt_omff(i)  = lmt_omff(i)*1.4          !--OM/OC=1.4
+        lmt_omnat(i)  = lmt_terp(i)*0.11*1.4 !-- 11% Terpene is OC
+      ENDDO
+!
+      ierr = NF_CLOSE(nid1)
+      PRINT*, 'Carbon sources lues pour jour: ', jour
+!
+      RETURN
+      END
Index: LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc_new.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc_new.F	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/Dust/condsurfc_new.F	(revision 2641)
@@ -0,0 +1,225 @@
+      SUBROUTINE condsurfc_new(jour,lmt_bcff, lmt_bcnff,
+     .                         lmt_bcbbl,lmt_bcbbh, lmt_bcba,
+     .                         lmt_omff,lmt_omnff,lmt_ombbl,lmt_ombbh,
+     .                                             lmt_omnat, lmt_omba)
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
+      USE dimphy
+      IMPLICIT none
+c
+c Lire les conditions aux limites du modele pour la chimie.
+c --------------------------------------------------------
+c
+#include "dimensions.h"
+#include "netcdf.inc"
+      REAL lmt_bcff(klon), lmt_bcnff(klon), lmt_bcba(klon)
+      REAL lmt_omff(klon), lmt_omnff(klon), lmt_ombb(klon)
+      REAL lmt_bcbbl(klon), lmt_bcbbh(klon)
+      REAL lmt_ombbl(klon), lmt_ombbh(klon)
+      REAL lmt_omnat(klon), lmt_omba(klon)
+      REAL lmt_terp(klon)
+c
+      REAL lmt_bcff_glo(klon_glo), lmt_bcnff_glo(klon_glo)
+      REAL lmt_bcba_glo(klon_glo)
+      REAL lmt_omff_glo(klon_glo), lmt_omnff_glo(klon_glo)
+      REAL lmt_ombb_glo(klon_glo)
+      REAL lmt_bcbbl_glo(klon_glo), lmt_bcbbh_glo(klon_glo)
+      REAL lmt_ombbl_glo(klon_glo), lmt_ombbh_glo(klon_glo)
+      REAL lmt_omnat_glo(klon_glo), lmt_omba_glo(klon_glo)
+      REAL lmt_terp_glo(klon_glo)
+!
+      INTEGER jour, i
+      INTEGER ierr
+      INTEGER nid1,nvarid
+      INTEGER debut(2),epais(2)
+c
+!      IF (jour.LT.0 .OR. jour.GT.(366-1)) THEN
+      IF (jour.LT.0 .OR. jour.GT.366) THEN
+         PRINT*,'Le jour demande n est pas correcte:', jour
+         print *,'JE: FORCED TO CONTINUE (emissions have
+     . to be longer than 1 year!!!! )'
+!JE         CALL ABORT
+      ENDIF
+
+!$OMP MASTER
+      IF (is_mpi_root .AND. is_omp_root) THEN
+!
+! Tranche a lire:
+      debut(1) = 1
+      debut(2) = jour
+      epais(1) = klon_glo
+!      epais(1) = klon
+      epais(2) = 1
+!
+!=======================================================================
+!                        BC EMISSIONS
+!=======================================================================
+!
+      ierr = NF_OPEN ("carbon_emissions.nc", NF_NOWRITE, nid1)
+      if (ierr.ne.NF_NOERR) then
+        write(6,*)' Pb d''ouverture du fichier limitbc.nc'
+        write(6,*)' ierr = ', ierr
+        call exit(1)
+      endif
+!
+! BC emissions from fossil fuel combustion
+!
+      ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .  lmt_bcff_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC'
+         CALL exit(1)
+      ENDIF
+      !print *,'lmt_bcff = ',lmt_bcff
+      !stop
+!
+! BC emissions from non fossil fuel combustion
+!
+      ierr = NF_INQ_VARID (nid1, "BCNFF", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .    lmt_bcnff_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC'
+         CALL exit(1)
+      ENDIF
+!
+! Low BC emissions from biomass burning
+!
+      ierr = NF_INQ_VARID (nid1, "BCBBL", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .  lmt_bcbbl_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC low'
+         CALL exit(1)
+      ENDIF
+!
+! High BC emissions from biomass burning
+!
+      ierr = NF_INQ_VARID (nid1, "BCBBH", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .      lmt_bcbbh_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC high'
+         CALL exit(1)
+      ENDIF
+!
+! BC emissions from ship transport
+!
+      ierr = NF_INQ_VARID (nid1, "BCBA", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, 
+     .   lmt_bcba_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources BC'
+         CALL exit(1)
+      ENDIF
+!
+!=======================================================================
+!                        OM EMISSIONS 
+!=======================================================================
+!
+
+!
+! OM emissions from fossil fuel combustion
+!
+      ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .  lmt_omff_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources OM'
+         CALL exit(1)
+      ENDIF
+!
+! OM emissions from non fossil fuel combustion
+!
+      ierr = NF_INQ_VARID (nid1, "OMNFF", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .   lmt_omnff_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources OM'
+         CALL exit(1)
+      ENDIF
+!
+! Low OM emissions from biomass burning - low
+!
+      ierr = NF_INQ_VARID (nid1, "OMBBL", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, 
+     .  lmt_ombbl_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources OM low'
+         CALL exit(1)
+      ENDIF
+!
+! High OM emissions from biomass burning - high
+!
+      ierr = NF_INQ_VARID (nid1, "OMBBH", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .  lmt_ombbh_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources OM high'
+         CALL exit(1)
+      ENDIF
+!
+! High OM emissions from ship
+!
+      ierr = NF_INQ_VARID (nid1, "OMBA", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .   lmt_omba_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources OM ship'
+         CALL exit(1)
+      ENDIF
+!
+! Natural Terpene emissions => Natural OM emissions
+!
+      ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
+      ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais,
+     .  lmt_terp_glo)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources Terpene'
+         CALL exit(1)
+      ENDIF
+!
+      DO i=1,klon_glo
+        lmt_omnat_glo(i)  = lmt_terp_glo(i)*0.11*1.4 !-- 11% Terpene is OC
+      ENDDO
+
+      ierr = NF_CLOSE(nid1)
+!
+      PRINT*, 'Carbon sources lues pour jour: ', jour
+!      lmt_bcff(klon)=0.0
+!      lmt_bcnff(klon)=0.0
+!      lmt_omff(klon)=0.0
+!      lmt_omnff(klon)=0.0
+!      lmt_ombb(klon)=0.0
+!      lmt_bcbbl(klon)=0.0
+!      lmt_bcbbh(klon)=0.0
+!      lmt_ombbl(klon)=0.0
+!      lmt_ombbh(klon)=0.0
+!      lmt_omnat(klon)=0.0
+!      lmt_omba(klon)=0.0
+!      lmt_terp(klon)=0.0
+
+
+      ENDIF
+!$OMP END MASTER
+!$OMP BARRIER
+      call scatter( lmt_bcff_glo   , lmt_bcff )   
+      call scatter( lmt_bcnff_glo  , lmt_bcnff )
+      call scatter( lmt_bcbbl_glo  , lmt_bcbbl )
+      call scatter( lmt_bcbbh_glo  , lmt_bcbbh )
+      call scatter( lmt_bcba_glo   , lmt_bcba )
+      call scatter( lmt_omff_glo   , lmt_omff )
+      call scatter( lmt_omnff_glo  , lmt_omnff )
+      call scatter( lmt_ombbl_glo  , lmt_ombbl )
+      call scatter( lmt_ombbh_glo  , lmt_ombbh )
+      call scatter( lmt_omba_glo   , lmt_omba )
+      call scatter( lmt_terp_glo   , lmt_terp )
+      call scatter( lmt_omnat_glo  , lmt_omnat )
+
+
+
+
+
+      RETURN
+      END
Index: LMDZ5/branches/testing/libf/phylmd/Dust/condsurfs.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/Dust/condsurfs.F	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/Dust/condsurfs.F	(revision 2641)
@@ -0,0 +1,317 @@
+      SUBROUTINE condsurfs(jour, edgar, flag_dms,
+     .                     lmt_so2h, lmt_so2b, lmt_so2bb, lmt_so2ba,
+     .                     lmt_so2volc, lmt_altvolc,  
+     .                     lmt_dmsbio, lmt_h2sbio, lmt_dms, lmt_dmsconc)
+       USE dimphy
+      IMPLICIT none
+c
+c Lire les conditions aux limites du modele pour la chimie.
+c --------------------------------------------------------
+c
+#include "dimensions.h"
+#include "netcdf.inc"
+c
+      REAL lmt_so2h(klon), lmt_so2b(klon), lmt_so2bb(klon)
+      REAL lmt_dmsbio(klon), lmt_h2sbio(klon), lmt_so2ba(klon)
+      REAL lmt_so2volc(klon), lmt_altvolc(klon)
+      REAL lmt_dms(klon), lmt_dmsconc(klon)
+      LOGICAL edgar
+      INTEGER flag_dms
+c
+      INTEGER jour, i
+      INTEGER ierr
+      INTEGER nid,nvarid
+      INTEGER debut(2),epais(2)
+c
+      IF (jour.LT.0 .OR. jour.GT.(360-1)) THEN
+         IF ((jour.GT.(360-1)) .AND. (jour.LE.367)) THEN
+           jour=360-1
+           print *,'JE: jour changed to jour= ',jour
+         ELSE
+           PRINT*,'Le jour demande n est pas correcte:', jour
+           CALL ABORT
+         ENDIF
+      ENDIF
+c
+      ierr = NF_OPEN ("limitsoufre.nc", NF_NOWRITE, nid)
+      if (ierr.ne.NF_NOERR) then
+        write(6,*)' Pb d''ouverture du fichier limitsoufre.nc'
+        write(6,*)' ierr = ', ierr
+        call exit(1)
+      endif
+c
+c Tranche a lire:
+      debut(1) = 1
+      debut(2) = jour+1
+      epais(1) = klon
+      epais(2) = 1
+c
+      ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2volc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2volc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 volcan'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_altvolc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_altvolc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les altitudes volcan'
+         CALL exit(1)
+      ENDIF
+c
+      IF (edgar) THEN   !--EDGAR w/o ship and biomass burning
+c
+      ierr = NF_INQ_VARID (nid, "SO2ED95L", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 edgar low'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "SO2ED95H", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 edgar high'
+         CALL exit(1)
+      ENDIF
+c
+      ELSE  !--GEIA 
+c
+      ierr = NF_INQ_VARID (nid, "SO2H", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 haut'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "SO2B", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 bas'
+         CALL exit(1)
+      ENDIF
+c
+      ENDIF  !--edgar
+c
+      ierr = NF_INQ_VARID (nid, "SO2BB", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2bb)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2bb)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 bb'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2ba)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2ba)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources so2 bateau'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dmsbio)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsbio)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms bio'
+         CALL exit(1)
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_h2sbio)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_h2sbio)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources h2s bio'
+         CALL exit(1)
+      ENDIF
+c
+      IF (flag_dms.EQ.1) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSL", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms liss'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.2) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSW", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms wann'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.3) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC1", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dmsconc old'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.4) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 2'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.5) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC3", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 3'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.6) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC4", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 4'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.7) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC5", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 5'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.8) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC6", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 6'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.9) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC7", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 7'
+         CALL exit(1)
+      ENDIF
+c
+      ELSEIF (flag_dms.EQ.10) THEN 
+c
+      ierr = NF_INQ_VARID (nid, "DMSC8", nvarid)
+cnhl #ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
+cnhl #else
+cnhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
+cnhl #endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, 'Pb de lecture pour les sources dms conc 8'
+         CALL exit(1)
+      ENDIF
+c
+      ELSE 
+c
+         PRINT *,'choix non possible pour flag_dms'
+         STOP
+c
+      ENDIF
+c
+      ierr = NF_CLOSE(nid)
+c
+      IF (flag_dms.LE.2) THEN 
+      DO i=1, klon 
+         lmt_dmsconc(i)=0.0
+      ENDDO
+      ELSE 
+      DO i=1, klon 
+         lmt_dms(i)=0.0
+      ENDDO
+      ENDIF
+c
+      PRINT*, 'Sources SOUFRE lues pour jour: ', jour
+c
+      RETURN
+      END
